/playstore-entities-patch-one¶
Summary¶
Source repository:
jef-systems/jef-playstore-backendSource SHA:
537621a0de4fe8da8c49370092d1e1b307f4b15eSource run id:
26743361901Lambda function:
jef-playstore-entities-patch-oneHTTP method:
PATCHAPI path:
/playstore-entities-patch-oneEndpoint URL:
https://nxsn52idb0.execute-api.ap-southeast-1.amazonaws.com/prod/playstore-entities-patch-onePayload mode:
json-body
Description¶
Function: jef-playstore-entities-patch-oneModule: jef-playstore-entitiesAction: patch-oneMethod: PATCHInvocation Mode: ASYNCResource Path: /playstore-entities-patch-oneTable: jef-playstore-entitiesPrimary Key: entity_id
API Gateway Response¶
status\_code: 202message: Request accepted for asynchronous processing.
Payload Example¶
entity\_id: 2a450c22-d484-44ef-90fc-931f27f1cc0aentity\_number: 0001entity\_name: Sample Playstore Entities 001entity\_type: companyis\_active: Trueidempotency\_key: idempotency:jef-playstore-entities:001created: 2026-06-01T08:11:07Zupdated: 2026-06-01T08:11:07Zchildren.jef\_playstore\_application\_allowed\_entities\[0\].application\_allowed\_entity\_id: 632aa2c7-50e8-4087-b9bd-b49b93ad7a92children.jef\_playstore\_application\_allowed\_entities\[0\].application\_id: 359f0c64-614c-493c-bf50-d7d64c30a262children.jef\_playstore\_application\_allowed\_entities\[0\].entity\_id: 2a450c22-d484-44ef-90fc-931f27f1cc0achildren.jef\_playstore\_application\_allowed\_entities\[0\].entity\_number: 0001children.jef\_playstore\_application\_allowed\_entities\[0\].is\_allowed: Truechildren.jef\_playstore\_application\_allowed\_entities\[0\].is\_active: Truechildren.jef\_playstore\_application\_allowed\_entities\[0\].idempotency\_key: idempotency:jef-playstore-application-allowed-entities:001children.jef\_playstore\_application\_allowed\_entities\[0\].created: 2026-06-01T08:11:07Zchildren.jef\_playstore\_application\_allowed\_entities\[0\].updated: 2026-06-01T08:11:07Zchildren.jef\_playstore\_applications\[0\].application\_id: 359f0c64-614c-493c-bf50-d7d64c30a262children.jef\_playstore\_applications\[0\].entity\_id: 2a450c22-d484-44ef-90fc-931f27f1cc0achildren.jef\_playstore\_applications\[0\].entity\_number: 0001children.jef\_playstore\_applications\[0\].name: Sample Playstore Applications 001children.jef\_playstore\_applications\[0\].package\_name: com.jchildren.jef\_playstore\_applications\[0\].version: 1.0.1children.jef\_playstore\_applications\[0\].scheme: jefapp001children.jef\_playstore\_applications\[0\].is\_active: Truechildren.jef\_playstore\_applications\[0\].idempotency\_key: idempotency:jef-playstore-applications:001children.jef\_playstore\_applications\[0\].created: 2026-06-01T08:11:07Zchildren.jef\_playstore\_applications\[0\].updated: 2026-06-01T08:11:07Z
Payload Schema¶
{
"root.type": "M",
"root.required": "True",
"root.attributes.entity_id.type": "S",
"root.attributes.entity_id.required": "True",
"root.attributes.entity_id.format": "uuidv4",
"root.attributes.entity_id.regex": "^[1-9a-fA-F][0-9a-fA-F]{7}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$",
"root.attributes.entity_number.type": "S",
"root.attributes.entity_number.required": "False",
"root.attributes.entity_number.regex": "^[0-9]{4}$",
"root.attributes.entity_name.type": "S",
"root.attributes.entity_name.required": "False",
"root.attributes.entity_name.regex": "^[A-Za-z0-9 ._-]{1,120}$",
"root.attributes.entity_type.type": "S",
"root.attributes.entity_type.required": "False",
"root.attributes.entity_type.regex": "^[A-Za-z0-9_-]{1,64}$",
"root.attributes.is_active.type": "BOOL",
"root.attributes.is_active.required": "False",
"root.attributes.is_active.regex": "^(true|false)$",
"root.attributes.idempotency_key.type": "S",
"root.attributes.idempotency_key.required": "False",
"root.attributes.idempotency_key.regex": "^[A-Za-z0-9._:-]{1,160}$",
"root.attributes.created.type": "S",
"root.attributes.created.required": "False",
"root.attributes.created.format": "iso8601",
"root.attributes.created.regex": "^\\d{4}-\\d{2}-\\d{2}T\\d{2}:\\d{2}:\\d{2}(\\.\\d{1,6})?Z?$",
"root.attributes.updated.type": "S",
"root.attributes.updated.required": "False",
"root.attributes.updated.format": "iso8601",
"root.attributes.updated.regex": "^\\d{4}-\\d{2}-\\d{2}T\\d{2}:\\d{2}:\\d{2}(\\.\\d{1,6})?Z?$",
"root.attributes.children.type": "M",
"root.attributes.children.required": "False",
"root.attributes.children.attributes.jef_playstore_application_allowed_entities.type": "L",
"root.attributes.children.attributes.jef_playstore_application_allowed_entities.required": "False",
"root.attributes.children.attributes.jef_playstore_application_allowed_entities.items.type": "M",
"root.attributes.children.attributes.jef_playstore_application_allowed_entities.items.attributes.application_allowed_entity_id.type": "S",
"root.attributes.children.attributes.jef_playstore_application_allowed_entities.items.attributes.application_allowed_entity_id.required": "True",
"root.attributes.children.attributes.jef_playstore_application_allowed_entities.items.attributes.application_allowed_entity_id.format": "uuidv4",
"root.attributes.children.attributes.jef_playstore_application_allowed_entities.items.attributes.application_allowed_entity_id.regex": "^[1-9a-fA-F][0-9a-fA-F]{7}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$",
"root.attributes.children.attributes.jef_playstore_application_allowed_entities.items.attributes.application_id.type": "S",
"root.attributes.children.attributes.jef_playstore_application_allowed_entities.items.attributes.application_id.required": "False",
"root.attributes.children.attributes.jef_playstore_application_allowed_entities.items.attributes.application_id.format": "uuidv4",
"root.attributes.children.attributes.jef_playstore_application_allowed_entities.items.attributes.application_id.regex": "^[1-9a-fA-F][0-9a-fA-F]{7}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$",
"root.attributes.children.attributes.jef_playstore_application_allowed_entities.items.attributes.entity_id.type": "S",
"root.attributes.children.attributes.jef_playstore_application_allowed_entities.items.attributes.entity_id.required": "False",
"root.attributes.children.attributes.jef_playstore_application_allowed_entities.items.attributes.entity_id.format": "uuidv4",
"root.attributes.children.attributes.jef_playstore_application_allowed_entities.items.attributes.entity_id.regex": "^[1-9a-fA-F][0-9a-fA-F]{7}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$",
"root.attributes.children.attributes.jef_playstore_application_allowed_entities.items.attributes.entity_number.type": "S",
"root.attributes.children.attributes.jef_playstore_application_allowed_entities.items.attributes.entity_number.required": "False",
"root.attributes.children.attributes.jef_playstore_application_allowed_entities.items.attributes.entity_number.regex": "^[0-9]{4}$",
"root.attributes.children.attributes.jef_playstore_application_allowed_entities.items.attributes.is_allowed.type": "BOOL",
"root.attributes.children.attributes.jef_playstore_application_allowed_entities.items.attributes.is_allowed.required": "False",
"root.attributes.children.attributes.jef_playstore_application_allowed_entities.items.attributes.is_allowed.regex": "^(true|false)$",
"root.attributes.children.attributes.jef_playstore_application_allowed_entities.items.attributes.is_active.type": "BOOL",
"root.attributes.children.attributes.jef_playstore_application_allowed_entities.items.attributes.is_active.required": "False",
"root.attributes.children.attributes.jef_playstore_application_allowed_entities.items.attributes.is_active.regex": "^(true|false)$",
"root.attributes.children.attributes.jef_playstore_application_allowed_entities.items.attributes.idempotency_key.type": "S",
"root.attributes.children.attributes.jef_playstore_application_allowed_entities.items.attributes.idempotency_key.required": "False",
"root.attributes.children.attributes.jef_playstore_application_allowed_entities.items.attributes.idempotency_key.regex": "^[A-Za-z0-9._:-]{1,160}$",
"root.attributes.children.attributes.jef_playstore_application_allowed_entities.items.attributes.created.type": "S",
"root.attributes.children.attributes.jef_playstore_application_allowed_entities.items.attributes.created.required": "False",
"root.attributes.children.attributes.jef_playstore_application_allowed_entities.items.attributes.created.format": "iso8601",
"root.attributes.children.attributes.jef_playstore_application_allowed_entities.items.attributes.created.regex": "^\\d{4}-\\d{2}-\\d{2}T\\d{2}:\\d{2}:\\d{2}(\\.\\d{1,6})?Z?$",
"root.attributes.children.attributes.jef_playstore_application_allowed_entities.items.attributes.updated.type": "S",
"root.attributes.children.attributes.jef_playstore_application_allowed_entities.items.attributes.updated.required": "False",
"root.attributes.children.attributes.jef_playstore_application_allowed_entities.items.attributes.updated.format": "iso8601",
"root.attributes.children.attributes.jef_playstore_application_allowed_entities.items.attributes.updated.regex": "^\\d{4}-\\d{2}-\\d{2}T\\d{2}:\\d{2}:\\d{2}(\\.\\d{1,6})?Z?$",
"root.attributes.children.attributes.jef_playstore_applications.type": "L",
"root.attributes.children.attributes.jef_playstore_applications.required": "False",
"root.attributes.children.attributes.jef_playstore_applications.items.type": "M",
"root.attributes.children.attributes.jef_playstore_applications.items.attributes.application_id.type": "S",
"root.attributes.children.attributes.jef_playstore_applications.items.attributes.application_id.required": "True",
"root.attributes.children.attributes.jef_playstore_applications.items.attributes.application_id.format": "uuidv4",
"root.attributes.children.attributes.jef_playstore_applications.items.attributes.application_id.regex": "^[1-9a-fA-F][0-9a-fA-F]{7}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$",
"root.attributes.children.attributes.jef_playstore_applications.items.attributes.entity_id.type": "S",
"root.attributes.children.attributes.jef_playstore_applications.items.attributes.entity_id.required": "False",
"root.attributes.children.attributes.jef_playstore_applications.items.attributes.entity_id.format": "uuidv4",
"root.attributes.children.attributes.jef_playstore_applications.items.attributes.entity_id.regex": "^[1-9a-fA-F][0-9a-fA-F]{7}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$",
"root.attributes.children.attributes.jef_playstore_applications.items.attributes.entity_number.type": "S",
"root.attributes.children.attributes.jef_playstore_applications.items.attributes.entity_number.required": "False",
"root.attributes.children.attributes.jef_playstore_applications.items.attributes.entity_number.regex": "^[0-9]{4}$",
"root.attributes.children.attributes.jef_playstore_applications.items.attributes.name.type": "S",
"root.attributes.children.attributes.jef_playstore_applications.items.attributes.name.required": "False",
"root.attributes.children.attributes.jef_playstore_applications.items.attributes.name.regex": "^[A-Za-z0-9 ._-]{1,120}$",
"root.attributes.children.attributes.jef_playstore_applications.items.attributes.package_name.type": "S",
"root.attributes.children.attributes.jef_playstore_applications.items.attributes.package_name.required": "False",
"root.attributes.children.attributes.jef_playstore_applications.items.attributes.package_name.regex": "^[A-Za-z][A-Za-z0-9_]*(?:[.][A-Za-z][A-Za-z0-9_]*){1,5}$",
"root.attributes.children.attributes.jef_playstore_applications.items.attributes.version.type": "S",
"root.attributes.children.attributes.jef_playstore_applications.items.attributes.version.required": "False",
"root.attributes.children.attributes.jef_playstore_applications.items.attributes.version.regex": "^[0-9]+[.][0-9]+[.][0-9]+$",
"root.attributes.children.attributes.jef_playstore_applications.items.attributes.scheme.type": "S",
"root.attributes.children.attributes.jef_playstore_applications.items.attributes.scheme.required": "False",
"root.attributes.children.attributes.jef_playstore_applications.items.attributes.scheme.regex": "^[a-z][a-z0-9+.-]{1,80}$",
"root.attributes.children.attributes.jef_playstore_applications.items.attributes.is_active.type": "BOOL",
"root.attributes.children.attributes.jef_playstore_applications.items.attributes.is_active.required": "False",
"root.attributes.children.attributes.jef_playstore_applications.items.attributes.is_active.regex": "^(true|false)$",
"root.attributes.children.attributes.jef_playstore_applications.items.attributes.idempotency_key.type": "S",
"root.attributes.children.attributes.jef_playstore_applications.items.attributes.idempotency_key.required": "False",
"root.attributes.children.attributes.jef_playstore_applications.items.attributes.idempotency_key.regex": "^[A-Za-z0-9._:-]{1,160}$",
"root.attributes.children.attributes.jef_playstore_applications.items.attributes.created.type": "S",
"root.attributes.children.attributes.jef_playstore_applications.items.attributes.created.required": "False",
"root.attributes.children.attributes.jef_playstore_applications.items.attributes.created.format": "iso8601",
"root.attributes.children.attributes.jef_playstore_applications.items.attributes.created.regex": "^\\d{4}-\\d{2}-\\d{2}T\\d{2}:\\d{2}:\\d{2}(\\.\\d{1,6})?Z?$",
"root.attributes.children.attributes.jef_playstore_applications.items.attributes.updated.type": "S",
"root.attributes.children.attributes.jef_playstore_applications.items.attributes.updated.required": "False",
"root.attributes.children.attributes.jef_playstore_applications.items.attributes.updated.format": "iso8601",
"root.attributes.children.attributes.jef_playstore_applications.items.attributes.updated.regex": "^\\d{4}-\\d{2}-\\d{2}T\\d{2}:\\d{2}:\\d{2}(\\.\\d{1,6})?Z?$"
}
Response Schema¶
{
"root.type": "M",
"root.required": "True",
"root.attributes.is_accepted.type": "BOOL",
"root.attributes.is_accepted.required": "True",
"root.attributes.message.type": "S",
"root.attributes.message.required": "True",
"root.attributes.request_id.type": "S",
"root.attributes.request_id.required": "False"
}
Request Payload¶
{
"entity_id": "2a450c22-d484-44ef-90fc-931f27f1cc0a",
"entity_number": "0001",
"entity_name": "Sample Playstore Entities 001",
"entity_type": "company",
"is_active": "True",
"idempotency_key": "idempotency:jef-playstore-entities:001",
"created": "2026-06-01T08:11:07Z",
"updated": "2026-06-01T08:11:07Z",
"children.jef_playstore_application_allowed_entities[0].application_allowed_entity_id": "632aa2c7-50e8-4087-b9bd-b49b93ad7a92",
"children.jef_playstore_application_allowed_entities[0].application_id": "359f0c64-614c-493c-bf50-d7d64c30a262",
"children.jef_playstore_application_allowed_entities[0].entity_id": "2a450c22-d484-44ef-90fc-931f27f1cc0a",
"children.jef_playstore_application_allowed_entities[0].entity_number": "0001",
"children.jef_playstore_application_allowed_entities[0].is_allowed": "True",
"children.jef_playstore_application_allowed_entities[0].is_active": "True",
"children.jef_playstore_application_allowed_entities[0].idempotency_key": "idempotency:jef-playstore-application-allowed-entities:001",
"children.jef_playstore_application_allowed_entities[0].created": "2026-06-01T08:11:07Z",
"children.jef_playstore_application_allowed_entities[0].updated": "2026-06-01T08:11:07Z",
"children.jef_playstore_applications[0].application_id": "359f0c64-614c-493c-bf50-d7d64c30a262",
"children.jef_playstore_applications[0].entity_id": "2a450c22-d484-44ef-90fc-931f27f1cc0a",
"children.jef_playstore_applications[0].entity_number": "0001",
"children.jef_playstore_applications[0].name": "Sample Playstore Applications 001",
"children.jef_playstore_applications[0].package_name": "com.j",
"children.jef_playstore_applications[0].version": "1.0.1",
"children.jef_playstore_applications[0].scheme": "jefapp001",
"children.jef_playstore_applications[0].is_active": "True",
"children.jef_playstore_applications[0].idempotency_key": "idempotency:jef-playstore-applications:001",
"children.jef_playstore_applications[0].created": "2026-06-01T08:11:07Z",
"children.jef_playstore_applications[0].updated": "2026-06-01T08:11:07Z"
}
Response¶
{
"root.type": "M",
"root.required": "True",
"root.attributes.is_accepted.type": "BOOL",
"root.attributes.is_accepted.required": "True",
"root.attributes.message.type": "S",
"root.attributes.message.required": "True",
"root.attributes.request_id.type": "S",
"root.attributes.request_id.required": "False"
}
CMD curl¶
curl -X PATCH "https://nxsn52idb0.execute-api.ap-southeast-1.amazonaws.com/prod/playstore-entities-patch-one" -H "Content-Type: application/json" --data-raw "{\"entity_id\": \"2a450c22-d484-44ef-90fc-931f27f1cc0a\", \"entity_number\": \"0001\", \"entity_name\": \"Sample Playstore Entities 001\", \"entity_type\": \"company\", \"is_active\": true, \"idempotency_key\": \"idempotency:jef-playstore-entities:001\", \"created\": \"2026-06-01T08:11:07Z\", \"updated\": \"2026-06-01T08:11:07Z\", \"children\": {\"jef_playstore_application_allowed_entities\": [{\"application_allowed_entity_id\": \"632aa2c7-50e8-4087-b9bd-b49b93ad7a92\", \"application_id\": \"359f0c64-614c-493c-bf50-d7d64c30a262\", \"entity_id\": \"2a450c22-d484-44ef-90fc-931f27f1cc0a\", \"entity_number\": \"0001\", \"is_allowed\": true, \"is_active\": true, \"idempotency_key\": \"idempotency:jef-playstore-application-allowed-entities:001\", \"created\": \"2026-06-01T08:11:07Z\", \"updated\": \"2026-06-01T08:11:07Z\"}], \"jef_playstore_applications\": [{\"application_id\": \"359f0c64-614c-493c-bf50-d7d64c30a262\", \"entity_id\": \"2a450c22-d484-44ef-90fc-931f27f1cc0a\", \"entity_number\": \"0001\", \"name\": \"Sample Playstore Applications 001\", \"package_name\": \"com.j\", \"version\": \"1.0.1\", \"scheme\": \"jefapp001\", \"is_active\": true, \"idempotency_key\": \"idempotency:jef-playstore-applications:001\", \"created\": \"2026-06-01T08:11:07Z\", \"updated\": \"2026-06-01T08:11:07Z\"}]}}"
PowerShell curl¶
curl.exe -X PATCH "https://nxsn52idb0.execute-api.ap-southeast-1.amazonaws.com/prod/playstore-entities-patch-one" -H "Content-Type: application/json" --data-raw '{"entity_id": "2a450c22-d484-44ef-90fc-931f27f1cc0a", "entity_number": "0001", "entity_name": "Sample Playstore Entities 001", "entity_type": "company", "is_active": true, "idempotency_key": "idempotency:jef-playstore-entities:001", "created": "2026-06-01T08:11:07Z", "updated": "2026-06-01T08:11:07Z", "children": {"jef_playstore_application_allowed_entities": [{"application_allowed_entity_id": "632aa2c7-50e8-4087-b9bd-b49b93ad7a92", "application_id": "359f0c64-614c-493c-bf50-d7d64c30a262", "entity_id": "2a450c22-d484-44ef-90fc-931f27f1cc0a", "entity_number": "0001", "is_allowed": true, "is_active": true, "idempotency_key": "idempotency:jef-playstore-application-allowed-entities:001", "created": "2026-06-01T08:11:07Z", "updated": "2026-06-01T08:11:07Z"}], "jef_playstore_applications": [{"application_id": "359f0c64-614c-493c-bf50-d7d64c30a262", "entity_id": "2a450c22-d484-44ef-90fc-931f27f1cc0a", "entity_number": "0001", "name": "Sample Playstore Applications 001", "package_name": "com.j", "version": "1.0.1", "scheme": "jefapp001", "is_active": true, "idempotency_key": "idempotency:jef-playstore-applications:001", "created": "2026-06-01T08:11:07Z", "updated": "2026-06-01T08:11:07Z"}]}}'